Index: CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/ICOLMDZOR/clim_pdControl.orch4/COMP/orchidee.card
===================================================================
--- CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/ICOLMDZOR/clim_pdControl.orch4/COMP/orchidee.card	(revision 6869)
+++ CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/ICOLMDZOR/clim_pdControl.orch4/COMP/orchidee.card	(revision 6870)
@@ -19,4 +19,5 @@
 # ROUTING=standard   => in orchidee.def RIVER_ROUTING=y and ROUTING_METHOD=standard
 # ROUTING=simple     => in orchidee.def RIVER_ROUTING=y and ROUTING_METHOD=simple
+# ROUTING=native     => in orchidee.def RIVER_ROUTING=y and ROUTING_METHOD=native (note: routing_simple.nc is used also for this case)
 # ROUTING=off        => in orchidee.def RIVER_ROUTING=n 
 ROUTING=simple
@@ -27,26 +28,25 @@
 # output_level_filename=12    : highest level which will output all variables
 # output_level_filename=NONE  : deactivate the file
-output_level_sechiba_history = 11
+output_level_sechiba_history = 2
 output_level_sechiba_out_2 = NONE
-output_level_sechiba_history_4dim = 11
+output_level_sechiba_history_4dim = NONE
 
-# Specify output frequency for each file [1y, 1mo, 1d, 3h, 1h, 1ts]
+# Specify output frequency for each file [1y, 1mo, 1d, 10800s, 1ts]
 # Settings using WriteFrequency in config.card is not longer used
 output_freq_sechiba_history = 1mo
-output_freq_sechiba_out_2 = 3h
+output_freq_sechiba_out_2 = 1d
 output_freq_sechiba_history_4dim = 1mo
 
-
 [InitialStateFiles]
-List=	(${R_IN}/SRF/SOIL/soils_param_zobler_coord.nc, soils_param.nc ), \
-        (${R_IN}/SRF/SOIL/soils_param_zobler_coord.nc, soilcolor.nc ), \
-	(${R_IN}/SRF/SOIL/soil_bulk_and_ph.nc, .), \
-	(${R_IN}/SRF/reftemp4.nc, reftemp.nc ), \
-        (${R_IN}/SRF/cartepente2d_15min4.nc, cartepente2d_15min.nc)
+List=       (${R_IN}/SRF/SOIL/soil_bulk_and_ph.nc, .), \
+            (${R_IN}/SRF/SOIL/soils_param_usda_with_clay_oxisol_coord.nc, soils_param.nc), \
+            (${R_IN}/SRF/SOIL/soils_param_zobler_coord.nc, soilcolor.nc), \
+            (${R_IN}/SRF/cartepente2d_15min4.nc, cartepente2d_15min.nc), \
+            (${R_IN}/SRF/reftemp4.nc, reftemp.nc), \
+            (${R_IN}/SRF/PFTMAPS/CMIP6/ESA-LUH2v2/historical/15PFT.v2023.1/PFTmap_2000.nc, PFTmap.nc)
 
 [BoundaryFiles]
-List= ()
-ListNonDel= (${R_IN}/SRF/PFTMAPS/CMIP6/ESA-LUH2v2/historical/15PFT.v2/PFTmap_2000.nc, PFTmap.nc),\
-	    (${R_IN}/SRF/ROUTING/routing_simple.nc, .)
+List=   ()
+ListNonDel= (${R_IN}/SRF/ROUTING/routing_simple.nc, .)
 
 [SmoothFiles]
@@ -54,32 +54,35 @@
 
 [ParametersFiles]
-List=	(${SUBMIT_DIR}/PARAM/ORCHIDEE/orchidee.def_v4, orchidee.def)   ,\
+List=   (${SUBMIT_DIR}/PARAM/ORCHIDEE/orchidee.def_v4, orchidee.def)   ,\
         (${SUBMIT_DIR}/PARAM/ORCHIDEE/orchidee_pft.def_${DefSuffix}_v4, orchidee_pft.def) ,\
-	(${MODIPSL}/modeles/ORCHIDEE_4/src_xml/file_def_orchidee.xml, .)  ,\
-	(${MODIPSL}/modeles/ORCHIDEE_4/src_xml/context_input_orchidee.xml, .) ,\
-	(${MODIPSL}/modeles/ORCHIDEE_4/src_xml/context_orchidee.xml, .)   ,\
- 	(${MODIPSL}/modeles/ORCHIDEE_4/src_xml/context_routing_orchidee.xml, .)   ,\
-	(${MODIPSL}/modeles/ORCHIDEE_4/src_xml/field_def_orchidee.xml, .)
+        (${MODIPSL}/modeles/ORCHIDEE_4/src_xml/file_def_orchidee.xml, .)  ,\
+        (${MODIPSL}/modeles/ORCHIDEE_4/src_xml/context_input_orchidee.xml, .) ,\
+        (${MODIPSL}/modeles/ORCHIDEE_4/src_xml/context_orchidee.xml, .)   ,\
+        (${MODIPSL}/modeles/ORCHIDEE_4/src_xml/context_routing_orchidee.xml, .)   ,\
+        (${MODIPSL}/modeles/ORCHIDEE_4/src_xml/field_def_orchidee.xml, .)
 
 [RestartFiles]
-List=	(sechiba_rest_out.nc, sechiba_rest.nc, sechiba_rest_in.nc) ,\
+List=   (sechiba_rest_out.nc, sechiba_rest.nc, sechiba_rest_in.nc) ,\
         (routing_restart.nc, routing_restart.nc, routing_start.nc)
 
 [OutputText]
-List=   (out_orchidee*, orchidee.def, used_orchidee.def, iodef.xml, context_orchidee.xml, context_routing_orchidee.xml, context_input_orchidee.xml, field_def_orchidee.xml, file_def_orchidee.xml, river_desc.nc)
+List=   (out_orchidee*, orchidee.def, orchidee_pft.def, used_orchidee.def, used_orchidee_pft.def, iodef.xml, context_orchidee.xml, context_input_orchidee.xml, context_routing_orchidee.xml, field_def_orchidee.xml, file_def_orchidee.xml, river_desc.nc)
 
 [OutputFiles]
-List=   (sechiba_history.nc,   ${R_OUT_SRF_O_M}/${PREFIX}_1M_sechiba_history.nc, Post_1M_sechiba_history), \
-        (sechiba_history_4dim.nc,${R_OUT_SRF_O_M}/${PREFIX}_1M_sechiba_history_4dim.nc, NONE), \
-        (sechiba_out_2.nc,     ${R_OUT_SRF_O_H}/${PREFIX}_HF_sechiba_out_2.nc,   NONE), \
+List=   (sechiba_history.nc,      ${R_OUT_SRF_O_M}/${PREFIX}_1M_sechiba_history.nc, Post_1M_sechiba_history), \
+        (sechiba_history_4dim.nc, ${R_OUT_SRF_O_M}/${PREFIX}_1M_sechiba_history_4dim.nc, NONE), \
+        (sechiba_out_2.nc,        ${R_OUT_SRF_O_H}/${PREFIX}_HF_sechiba_out_2.nc,   NONE), \
         (ORCHIDEE_interp_diag.nc, ${R_OUT_SRF_O_D}/${PREFIX}_ORCHIDEE_interp_diag.nc, NONE), \
-        (forcing_by_ORCHIDEE.nc,  ${R_OUT_SRF_O_H}/${PREFIX}_forcing_by_ORCHIDEE.nc,  NONE)
+        (forcing_by_ORCHIDEE.nc,  ${R_OUT_SRF_O_H}/${PREFIX}_forcing_by_ORCHIDEE.nc, NONE), \
+        (diag_routing.nc,         ${R_OUT_SRF_O_D}/${PREFIX}_1D_sechiba_routing.nc, NONE),\
+        (diag_routing_r.nc,       ${R_OUT_SRF_O_D}/${PREFIX}_1D_sechiba_routing_r.nc, NONE)
+
 
 [Post_1M_sechiba_history]
 Patches = ()
 GatherWithInternal = (lon, lat, time_counter, Areas, Contfrac, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (nobiofrac, alb_nir, alb_vis, evap, fluxlat, fluxsens, netrad, qair, rain, runoff, snow, snownobio, snowf, frac_snow, subli, tair, temp_sol, tsol_max, tsol_min, drainage,mrsos, mrso, mrros, mrro, prveg, evspsblveg, evspsblsoi, tran, treeFrac, grassFrac, cropFrac, baresoilFrac, residualFrac, TWBR, riverflow, coastalflow, DelSoilMoist_daily, DelIntercept_daily, DelSWE_daily, delstock_routing_daily, snowmelt, LAImean, transpir, evapnu)
+TimeSeriesVars2D = (nobiofrac, alb_nir, alb_vis, evap, fluxlat, fluxsens, rain, runoff, snow, snownobio, snowf, frac_snow, subli, tair, temp_sol, drainage, mrsos, mrso, TWBR, riverflow, coastalflow, DelSoilMoist_daily, DelIntercept_daily, DelSWE_daily, delstock_routing_daily, LAImean, transpir, evapnu, lwdown, swdown, gppCrop, rhCrop)
 ChunckJob2D = NONE
-TimeSeriesVars3D = (lai, maxvegetfrac, vegetfrac, ptn, nee)
+TimeSeriesVars3D = (lai, maxvegetfrac, vegetfrac, nee, gpp, growth_resp, hetero_resp, humrel, inter, maint_resp, npp, precisol)
 ChunckJob3D = NONE
 Seasonal = ON
@@ -88,8 +91,8 @@
 Patches = ()
 GatherWithInternal = (lon, lat, time_counter, Areas, Contfrac, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (mrsos, mrro)
-ChunckJob2D = 50Y
-TimeSeriesVars3D = (ptn)
-ChunckJob3D = 10Y
+TimeSeriesVars2D = ()
+ChunckJob2D = NONE
+TimeSeriesVars3D = (snowdz, snowtemp, snowrho)
+ChunckJob3D = NONE
 Seasonal = OFF
 
Index: CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/ICOLMDZOR/clim_pdControl.orch4/COMP/stomate.card
===================================================================
--- CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/ICOLMDZOR/clim_pdControl.orch4/COMP/stomate.card	(revision 6869)
+++ CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/ICOLMDZOR/clim_pdControl.orch4/COMP/stomate.card	(revision 6870)
@@ -12,12 +12,11 @@
 STOMATE_IMPOSE_CN=n
 
-
 # Specify output level for output files
 # Only the files stomate_history.nc and stomate_ipcc_history.nc can be set here.
 # output_level_filname=0     : lowest level writing only variables needed for the monitoring
-# output_level_filname=10    : highest level which will output all variables
+# output_level_filname=1     : highest level which will output all variables
 # output_level_filname=NONE  : deactivate the file
-output_level_stomate_history = 10
-output_level_stomate_ipcc_history = 1
+output_level_stomate_history = 0 
+output_level_stomate_ipcc_history = 0
 
 # Specify output frequency for each file [1y, 1mo, 1d]
@@ -26,20 +25,15 @@
 output_freq_stomate_ipcc_history = 1mo
 
-
 [InitialStateFiles]
-# cnleaf_map.nc is needed if STOMATE_IMPOSE_CN=y
-#List=    (${R_IN}/SRF/NITROGEN/CN_LEAF/cn_leaf_1850_v0.nc, cnleaf_map.nc)
-
-# Following files are needed if STOMATE_IMPOSE_CN=n
-List=   (${R_IN}/SRF/NITROGEN/N_FERTILISATION/NMIP/synthetic/historical/Nfer_pasture_2000.nc, nfert_pasture.nc) ,\
-     (${R_IN}/SRF/NITROGEN/N_FERTILISATION/NMIP/synthetic/historical/Nfer_cropland_2000.nc, nfert_cropland.nc) ,\
-     (${R_IN}/SRF/NITROGEN/N_FERTILISATION/NMIP/manure/historical/Nmanure_pasture_2000.nc, nmanure_pasture.nc) ,\
-     (${R_IN}/SRF/NITROGEN/N_FERTILISATION/NMIP/manure/historical/Nmanure_cropland_2000.nc, nmanure_cropland.nc) ,\
-     (${R_IN}/SRF/NITROGEN/N_DEPOSITION/CCMI_ndep/historical/CCMI_ndep_nhx_2000.nc, ndep_nhx.nc), \
-     (${R_IN}/SRF/NITROGEN/N_DEPOSITION/CCMI_ndep/historical/CCMI_ndep_noy_2000.nc, ndep_noy.nc), \
-     (${R_IN}/SRF/NITROGEN/BNF/bnf_1850.nc, bnf.nc)
+List=   (${R_IN}/SRF/NITROGEN/N_FERTILISATION/NMIP2/synthetic/historical/nfer_crop_nh4_2000.nc, Nfert_ammo_cropland.nc) ,\
+        (${R_IN}/SRF/NITROGEN/N_FERTILISATION/NMIP2/synthetic/historical/nfer_crop_no3_2000.nc, Nfert_nitr_cropland.nc) ,\
+        (${R_IN}/SRF/NITROGEN/N_FERTILISATION/NMIP2/synthetic/historical/nfer_pas_nh4_2000.nc,  Nfert_ammo_pasture.nc) ,\
+        (${R_IN}/SRF/NITROGEN/N_FERTILISATION/NMIP2/synthetic/historical/nfer_pas_no3_2000.nc,  Nfert_nitr_pasture.nc) ,\
+        (${R_IN}/SRF/NITROGEN/N_DEPOSITION/CMIP6.2/historical/nhx__2000.nc, Nammonium.nc), \
+        (${R_IN}/SRF/NITROGEN/N_DEPOSITION/CMIP6.2/historical/noy__2000.nc, Nnitrate.nc), \
+        (${R_IN}/SRF/NITROGEN/BNF/bnf_1850.nc, bnf.nc)
 
 [BoundaryFiles]
-List=   ()
+List= ()
 ListNonDel= ()
 
@@ -58,21 +52,24 @@
 [OutputFiles]
 List=   (stomate_history.nc,      ${R_OUT_SBG_O_M}/${PREFIX}_1M_stomate_history.nc,      Post_1M_stomate_history),    \
-        (stomate_ipcc_history.nc, ${R_OUT_SBG_O_M}/${PREFIX}_1M_stomate_ipcc_history.nc, Post_1M_stomate_ipcc_history)
+        (stomate_ipcc_history.nc, ${R_OUT_SBG_O_M}/${PREFIX}_1M_stomate_ipcc_history.nc, Post_1M_stomate_ipcc_history), \
+        (stomate_history_4dim.nc, ${R_OUT_SBG_O_M}/${PREFIX}_1M_stomate_history_4dim.nc, NONE), \
+        (stomate_fixed_dia.nc, ${R_OUT_SBG_O_Y}/${PREFIX}_1Y_stomate_fixed_dia.nc, NONE)
 
-[Post_1M_stomate_history]
-Patches = ()
-GatherWithInternal = (lon, lat, Areas, time_counter, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (T2M_MONTH,RESOLUTION_X,RESOLUTION_Y,CONVFLUX,CFLUX_PROD10,CFLUX_PROD100,HARVEST_ABOVE)
+[Post_1Y_stomate_history]
+Patches= ()
+GatherWithInternal= (lon, lat, time_counter, Areas, CONTFRAC)
+TimeSeriesVars2D= (T2M_MONTH,RESOLUTION_X,RESOLUTION_Y,FLUX_PROD_S_LCC_c,FLUX_PROD_M_LCC_c,FLUX_PROD_L_LCC_c,FLUX_PROD_S_HARVEST_c,FLUX_PROD_M_HARVEST_c,FLUX_PROD_L_HARVEST_c)
 ChunckJob2D = NONE
-TimeSeriesVars3D = (LAI,VEGET_COV_MAX,NPP,GPP,HET_RESP,MAINT_RESP,GROWTH_RESP,AGE,HEIGHT,TOTAL_M,TOTAL_BM_LITTER,TOTAL_SOIL_CARB,CO2_FIRE,TOTAL_TURN,WOOD_HARVEST_PFT)
+TimeSeriesVars3D= (LAI_MEAN,VEGET_MAX,NPP,GPP,HET_RESP,MAINT_RESP,GROWTH_RESP,TOTAL_M_n,TOTAL_M_c,TOTAL_BM_LITTER_c,TOTAL_BM_LITTER_n,ADAPTATION,REGENERATION,SOIL_ACTIVE_c,SOIL_ACTIVE_n,SOIL_SLOW_c,SOIL_SLOW_n,SOIL_PASSIVE_c,SOIL_PASSIVE_n,SOIL_SURF_c,SOIL_SURF_n,LITTER_STR_AB_c,LITTER_STR_AB_n,LITTER_STR_BE_c,LITTER_STR_BE_n,LITTER_MET_AB_c,LITTER_MET_AB_n,LITTER_MET_BE_c,LITTER_MET_BE_n,LITTER_WOD_AB_c,LITTER_WOD_AB_n,LITTER_WOD_BE_c,LITTER_WOD_BE_n,TOTAL_TURN_c,TOTAL_TURN_n,LEAF_M_n,LEAF_M_c,N_UPTAKE_NO3,N_UPTAKE_NH4,NH3_EMISSION,N2_EMISSION,N2O_EMISSION,NOX_EMISSION,NBP_pool_c,NBP_flux_c,MBC_NBP1_c,MBC_NBP1_n,MBC_NBP2_c,MBC_NBP2_n)
 ChunckJob3D = NONE
-Seasonal = ON
+Seasonal=ON
 
-[Post_1M_stomate_ipcc_history]
-Patches = ()
-GatherWithInternal = (lon, lat, Areas, time_counter, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (cVeg, cLitter, cSoil, cProduct, lai, gpp, ra, npp, rh, fFire, fHarvest, fLuc, nbp, fVegLitter, fLitterSoil, cLeaf, cWood, cRoot, cMisc, cLitterAbove, cLitterBelow, cSoilFast, cSoilMedium, cSoilSlow, landCoverFrac, treeFracPrimDec, treeFracPrimEver, c3PftFrac, c4PftFrac, rGrowth, rMaint, nppLeaf, nppWood, nppRoot, nep, fWoodharvest)
+[Post_1Y_stomate_ipcc_history]
+Patches= ()
+GatherWithInternal= (lon, lat, time_counter, Areas, CONTFRAC)
+TimeSeriesVars2D=(cVeg, cLitter, cSoil, cProduct, cMassVariation, lai, gpp, ra, npp, rh, fFire, fHarvest, fLuc, nbp_c, nbp_n, fVegLitter, fLitterSoil, cLeaf, cWood, cRoot, cMisc, cLitterAbove, cLitterBelow, cSoilFast, cSoilMedium, cSoilSlow, landCoverFrac, treeFracPrimDec, treeFracPrimEver, c3PftFrac, c4PftFrac, rGrowth, rMaint, nppLeaf, nppWood, nppRoot, nep_c, nep_n, fWoodharvest)
 ChunckJob2D = NONE
-TimeSeriesVars3D = ()
+TimeSeriesVars3D=()
 ChunckJob3D = NONE
-Seasonal = ON
+Seasonal=ON
+